<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Главная страница
Route::view('/', 'index');

use App\Http\Controllers;

// Книги
Route::get('/books', [Controllers\BookController::class, 'index']);
Route::get('/book/add', [Controllers\BookController::class, 'add']);
Route::get('/book/{id}', [Controllers\BookController::class, 'view']);
Route::post('/book/add', [Controllers\BookController::class, 'store']);
